package com.danitheskunk.skunkworks;

import com.danitheskunk.skunkworks.gfx.IRenderContext;
import com.danitheskunk.skunkworks.gfx.ITexture;
import com.danitheskunk.skunkworks.gfx.Image;
import com.danitheskunk.skunkworks.gfx.NineSlice;
import com.danitheskunk.skunkworks.gfx.font.IFont;

import java.util.List;

public interface IWindow {
	Engine getEngine();

	IFont loadFontTileset(String path);

	IFont loadFontTTF(String path, float size);

	NineSlice loadNineSlice(Image image);

	NineSlice loadNineSlice(String path);

	ITexture loadTexture(Image image);

	ITexture loadTexture(String path);

	List<ITexture> loadTextureArray(Image image, Vec2i tileSize);

	List<ITexture> loadTextureArray(String path, Vec2i tileSize);

	void renderFinish(IRenderContext context);

	IRenderContext renderStart();

	void setDebug(boolean on);

	boolean shouldClose();

	void tick();
}
